Subject: Re: [Bitcoin-development] Is SourceForge still trustworthy enough to host this list?

From: Andy Schroder <[email-masked]>
Date: Wed, 10 Jun 2015 14:41:32 -0400

Hello Troy,

I like the idea of the live mirrors. I'm personally just an amateur at 
setting up e-mail servers, but the first concern I have is that everyone 
hosting a mirror may not necessarily use the same SMTP MTA. I personally 
use postfix, but I'm not sure what most people use.

Some other features I'd like to see required is PGP/MIME support and 
ensuring that digital signatures are not broken by footers, etc. 
appended to the bottom of the message by the list. It might be nice to 
also allow for HTML messages?

Here is a link with some current statistics to get an idea what the load 
may be. I've been told there are about 1,200 subscribers. 
http://dir.gmane.org/gmane.comp.bitcoin.devel

Andy Schroder

On 06/10/2015 02:02 PM, Troy Benjegerdes wrote:
> I'll sponsor it, if we agree to implement a HashCash spam filter
> in the next 6 months. I've run mail servers for $DAYJOB for 5 or
> so years, and I've run my own personal server for the last 14.
>
> Since Bitcoin is a perfectly good HashCash system, I'm thinking a
> http://www.courier-mta.org/courierfilter.html filter plugin that
> checks to ensure that the required bitcoin fee has been paid, or
> better yet included in the message in some standard form.
>
> I'd like to have several other people with linux admin experience
> also agree to host live mirrors of the list, which could be switched
> over by whomever controls the relevant MX records for the mail list.
>
> What do you think a reasonable per-message fee should be, such that
> a couple of independent admins can reasonably expect to be able to
> pay $250/month each for their time and server hosting/bandwidth costs?
>
> I also think that anyone who's contributed more than say 10 or 15
> commits to https://github.com/bitcoin/bitcoin/graphs/contributors
> should be excluded from the pay-with-bitcoin filter, as they have
> paid with code. The rest of us should be paying to distribute and
> archive their efforts.
>
> On Wed, Jun 10, 2015 at 12:46:49PM -0400, Andy Schroder wrote:
>> Regarding changing the e-mail list provider. Is anyone interested in
>> sponsoring it? There are non-free options, but it may be difficult to
>> always ensure the fee is being paid to the provider. I think finding an
>> agreeable free solution may have been the issue before? I've also
>> thought of trying to make a pay per message or byte solution (and this
>> cost could be dynamic based upon the number of current mailing list
>> subscribers). This could solve the who pays problem (the sender pays),
>> as well as motivate people to be more concise and clear with their
>> messages, and at the same time limit spam.
>>
>>
>>
>> Any thoughts?
>>
>> Andy Schroder
>>
>> On 06/10/2015 05:35 AM, Wladimir J. van der Laan wrote:
>>> On Wed, Jun 10, 2015 at 10:25:12AM +0200, xor wrote:
>>>> http://www.howtogeek.com/218764/warning-don%E2%80%99t-download-software-from-sourceforge-if-you-can-help-it/
>>> All our downloads (even old ones) have recently been deleted from sourceforge, for this reason. They haven't been mentioned in Bitcon Core release announcements for a long time.
>>>
>>> No opinion on the mailing list. Though I think it's less urgent. The issue of moving the mailinglist has come up before a few times and people can't agree where to move to.
>>>
>>> Wladimir
>>>
>>>
>>> ------------------------------------------------------------------------------
>>
>> ------------------------------------------------------------------------------
>> _______________________________________________
>> Bitcoin-development mailing list
>> [email-masked]
>> https://lists.sourceforge.net/lists/listinfo/bitcoin-development